Bug 822900 - [eap6] support for webservice endpoint child resources
[eap6] support for webservice endpoint child resources
Status: CLOSED WORKSFORME
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin 823571
  Show dependency treegraph
 
Reported: 2012-05-18 08:58 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 823571 (view as bug list)
Environment:
Last Closed: 2012-05-21 16:04:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
sample WAR with web service (2.26 KB, application/octet-stream)
2012-05-21 09:49 EDT, Libor Zoubek
no flags Details

  None (edit)
Description Libor Zoubek 2012-05-18 08:58:34 EDT
Description of problem: If you deploy application with JAX-WS endpoints on EAP6 JON does not show these endpoints.


Version-Release number of selected component (if applicable):
JON 3.1.Beta1 EAP6.ER6

How reproducible:always


Steps to Reproduce:
1.have EAP6 running in standalone mode
2.deploy WAR that contains web service
3.check webservices subsystem
  
Actual results: endpoint contained in deployment does not show up. There is an auto-group called "Endpoints"


Expected results: we should support listing endpoints - admin console does that too.
Comment 1 Libor Zoubek 2012-05-21 09:49:52 EDT
Created attachment 585818 [details]
sample WAR with web service
Comment 2 Libor Zoubek 2012-05-21 10:34:36 EDT
endpoint child resources should appear under 'webservices' subsystem resource
Comment 3 Heiko W. Rupp 2012-05-21 12:02:48 EDT
The attached ws.war creates this entry in the CLI:

[standalone@localhost:9999 subsystem=webservices] :read-resource(include-runtime=true, recursive=true)
{
    "outcome" => "success",
    "result" => {
        "endpoint" => {},
        "modify-wsdl-address" => true,
        "wsdl-host" => expression "${jboss.bind.address:127.0.0.1}",
        "endpoint-config" => {
            "Standard-Endpoint-Config" => {
                "post-handler-chain" => undefined,
                "pre-handler-chain" => undefined,
                "property" => undefined
            },
            "Recording-Endpoint-Config" => {
                "post-handler-chain" => undefined,
                "property" => undefined,
                "pre-handler-chain" => {"recording-handlers" => {
                    "protocol-bindings" => "##SOAP11_HTTP ##SOAP11_HTTP_MTOM ##SOAP12_HTTP ##SOAP12_HTTP_MTOM",
                    "handler" => {"RecordingHandler" => {"class" => "org.jboss.ws.common.invocation.RecordingServerHandler"}}
                }}
            }
        }
    }
}


This has no endpoint defined; the modify-ws*, wsdl-host entries are on subsystem=webservices
and the endpoint-config is exposed.

What exactly are you missing here?
Comment 4 Heiko W. Rupp 2012-05-21 16:04:07 EDT
The endpoints{} list seems not in console either
Comment 5 Libor Zoubek 2012-05-22 03:41:13 EDT
I did not check CLI before, this BZ is based of what EAP6 web console shows, I was also confused about "Endpoint" resource type under /webservices subsystem in RHQ. 

So I expected WS endpoint that is exposed by ws.jar could appear among endpoints in webservice subsystem.
Comment 6 Heiko W. Rupp 2012-05-22 03:49:33 EDT
Console shows the endpoint as runtime data (runtime tab in the upper right), which corresponds to the data below /deployment=ws.war/

Note You need to log in before you can comment on or make changes to this bug.